OBS User unknown 2009-06-12 14:15:38 +00:00 committed by Git OBS Bridge
parent 12fecf60aa
commit 9ca22243e0
4 changed files with 42 additions and 21 deletions

View File

@ -1,15 +1,13 @@
SUSE specific kernel provides/requires scripts SUSE specific kernel provides/requires scripts
--- ---
scripts/find-provides.ksyms | 23 +++++++++++++++++ scripts/find-provides.ksyms | 41 +++++++++++++++++++++++++++++++
scripts/find-requires.ksyms | 59 ++++++++++++++++++++++++++++++++++++++++++++ scripts/find-requires.ksyms | 57 ++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 82 insertions(+) 2 files changed, 98 insertions(+)
Index: scripts/find-provides.ksyms
===================================================================
--- /dev/null --- /dev/null
+++ scripts/find-provides.ksyms +++ scripts/find-provides.ksyms
@@ -0,0 +1,23 @@ @@ -0,0 +1,41 @@
+#! /bin/sh +#! /bin/sh
+ +
+IFS=$'\n' +IFS=$'\n'
@ -17,24 +15,40 @@ Index: scripts/find-provides.ksyms
+case "$1" in +case "$1" in
+kernel-module-*) ;; # Fedora kernel module package names start with +kernel-module-*) ;; # Fedora kernel module package names start with
+ # kernel-module. + # kernel-module.
+kernel*) is_kernel_package=1 ;; +kernel*) kernel_flavor=${1#kernel-} ;;
+esac +esac
+ +
+if ! [ -z "$is_kernel_package" ]; then +trap 'rm -f "$tmp"' EXIT
+ cat > /dev/null +tmp=$(mktemp)
+ exit 0 +while read f; do
+fi + test -e "$f" || continue
+ + case "$f" in
+for module in $(grep -E '/lib/modules/.+\.ko$'); do + *.debug)
+ flavor=$(/sbin/modinfo -F vermagic "$module") + continue
+ ;;
+ */lib/modules/*/*.ko | */lib/modules/*/*.ko.gz | */boot/vmlinu[xz]*)
+ ;;
+ *)
+ continue
+ esac
+ unzip=false
+ case "$f" in
+ *.gz | */boot/vmlinuz*)
+ unzip=true
+ esac
+ if $unzip && gzip -cd "$f" >"$tmp"; then
+ f=$tmp
+ fi
+ flavor=$(/sbin/modinfo -F vermagic "$f")
+ flavor=${flavor%% *} + flavor=${flavor%% *}
+ flavor=${flavor##*-} + flavor=${flavor##*-}
+ nm "$module" \ + if test -z "$flavor"; then
+ flavor=$kernel_flavor
+ fi
+ nm "$f" \
+ | sed -r -ne "s/^0*([0-9a-f]+) A __crc_(.+)/ksym($flavor:\\2) = \\1/p" + | sed -r -ne "s/^0*([0-9a-f]+) A __crc_(.+)/ksym($flavor:\\2) = \\1/p"
+done \ +done \
+| sort -u +| sort -u
Index: scripts/find-requires.ksyms
===================================================================
--- /dev/null --- /dev/null
+++ scripts/find-requires.ksyms +++ scripts/find-requires.ksyms
@@ -0,0 +1,57 @@ @@ -0,0 +1,57 @@

View File

@ -24,7 +24,7 @@ License: GPL v2 or later
Group: System/Packages Group: System/Packages
Summary: Python Bindings for Manipulating RPM Packages Summary: Python Bindings for Manipulating RPM Packages
Version: 4.4.2.3 Version: 4.4.2.3
Release: 40 Release: 41
Requires: rpm = %{version} Requires: rpm = %{version}
%py_requires %py_requires
Source99: rpm.spec Source99: rpm.spec

View File

@ -1,3 +1,8 @@
-------------------------------------------------------------------
Tue Jun 9 11:53:50 CEST 2009 - mmarek@suse.cz
- findksyms.diff: also generate provides for kernel packages.
------------------------------------------------------------------- -------------------------------------------------------------------
Mon Apr 6 02:09:43 CEST 2009 - ro@suse.de Mon Apr 6 02:09:43 CEST 2009 - ro@suse.de

View File

@ -27,7 +27,7 @@ PreReq: %insserv_prereq %fillup_prereq permissions
AutoReqProv: on AutoReqProv: on
Summary: The RPM Package Manager Summary: The RPM Package Manager
Version: 4.4.2.3 Version: 4.4.2.3
Release: 40 Release: 41
Source: rpm-%{version}.tar.bz2 Source: rpm-%{version}.tar.bz2
Source1: RPM-HOWTO.tar.bz2 Source1: RPM-HOWTO.tar.bz2
Source2: RPM-Tips.html.tar.bz2 Source2: RPM-Tips.html.tar.bz2
@ -337,7 +337,7 @@ Summary: A C library for parsing command line parameters
License: LGPL v2.1 or later License: LGPL v2.1 or later
Group: System/Libraries Group: System/Libraries
Version: 1.7 Version: 1.7
Release: 488 Release: 489
# bug437293 # bug437293
%ifarch ppc64 %ifarch ppc64
Obsoletes: popt-64bit Obsoletes: popt-64bit
@ -365,7 +365,7 @@ Summary: C Library for Parsing Command Line Parameters
License: LGPL v2.1 or later License: LGPL v2.1 or later
Group: System/Libraries Group: System/Libraries
Version: 1.7 Version: 1.7
Release: 488 Release: 489
Requires: popt = 1.7 Requires: popt = 1.7
Requires: glibc-devel Requires: glibc-devel
# bug437293 # bug437293
@ -405,6 +405,8 @@ Authors:
%doc %{_mandir}/man3/popt.3* %doc %{_mandir}/man3/popt.3*
%changelog %changelog
* Tue Jun 09 2009 mmarek@suse.cz
- findksyms.diff: also generate provides for kernel packages.
* Mon Apr 06 2009 ro@suse.de * Mon Apr 06 2009 ro@suse.de
- fix typo in brp-symlink (bnc#457908) - fix typo in brp-symlink (bnc#457908)
* Tue Mar 31 2009 mmarek@suse.cz * Tue Mar 31 2009 mmarek@suse.cz